# This is a TOML-format configuration file that contains all the input parameters of measure.
# Measure can be implemented as 1-layer, 2-layer or 3-layer structure. 
# A 3-layer measure has interception layer (1), top storage layer (2) and bottom storage layer (3).
# Since there are many buttons in Measure, 0-1 is applied to represent No-Yes, except for "measure_applied" button which uses false-true.

title = "static form for measure 71-Wet pond-CP"


##################
# Apply measure? #
##################

# Apply measure or not [true: applied, false: not applied]
measure_applied = true

# Greenroof-alike measure is different from a general measure
greenroof_type_measure = false

####################
# Area information #
####################

# total area of measure [m^2]
tot_meas_area = 1595

# area of xx with measure (xx --> PR, CP, OP, UP, UZ, GW, SWDS, MSS, OW) [m2]
pr_meas_area = 0
cp_meas_area = 1595
op_meas_area = 0
up_meas_area = 0
uz_meas_area = 0
gw_meas_area = 0
swds_meas_area = 0
mss_meas_area = 0
ow_meas_area = 0

# runoff inflow area from xx to measure, 
# i.e. measure inflow area from xx (xx --> PR, CP, OP, UP, OW) [m^2],  OW not yet possible.
pr_meas_inflow_area = 0
cp_meas_inflow_area = 15950
op_meas_inflow_area = 0
up_meas_inflow_area = 0
ow_meas_inflow_area = 0


#####################################
# Number of layer, Active processes #
#####################################

# number of storage layers [1, 2 or 3]
num_stor_lvl = 2

# Selection at which measure layer runoff from other area is stored, 
# interception layer (1) or bottom storage layer (3) [1 or 3]
runoff_to_stor_layer = 1

# Selection if evaporation from measure (interception layer) is possible (1) or not (0) [0 or 1]
EV_evaporation = 0

# Selection if transpiration from measure (bottom layer, top layer if applicable) is possible (1) or not (0) [0 or 1]
ET_transpiration = 1

# Selection if infiltration from measure is possible (1) or not (0) [0 or 1]
IN_infiltration = 0

# Selection if slow drainage (delay) from measure is possible (1) or not (0) [0 or 1]
SD_delay = 1

# Selection if fast drainage (pumping) from measure is possible (1) or not (0) [0 or 1]
FD_pumping = 0

###############################
# Water from measure flows to #
###############################

# Water from measure flows to xx [0: No, 1: Yes]

# surface runoff from measure interception layer to OW 
# runoff from measure bottom storage layer to OW 
# overflow from measure bottom storage layer to OW 

# surface runoff from measure interception layer to UZ 
# runoff from measure bottom storage layer to UZ 
# overflow from measure bottom storage layer to UZ

# surface runoff from measure interception layer to GW
# runoff from measure bottom storage layer to GW
# overflow from measure bottom storage layer to GW

# surface runoff from measure interception layer to SWDS
# runoff from measure bottom storage layer to SWDS
# overflow from measure bottom storage layer to SWDS

# surface runoff from measure interception layer to MSS
# runoff from measure bottom storage layer to MSS
# overflow from measure bottom storage layer to MSS

# surface runoff from measure interception layer to Out
# runoff from measure bottom storage layer to Out
# overflow from measure bottom storage layer to Out

surf_runoff_meas_OW = 0
ctrl_runoff_meas_OW = 0
overflow_meas_OW = 0

surf_runoff_meas_UZ = 0
ctrl_runoff_meas_UZ = 0
overflow_meas_UZ = 0

surf_runoff_meas_GW = 0
ctrl_runoff_meas_GW = 1
overflow_meas_GW = 0

surf_runoff_meas_SWDS = 1
ctrl_runoff_meas_SWDS = 0
overflow_meas_SWDS = 1

surf_runoff_meas_MSS = 0
ctrl_runoff_meas_MSS = 0
overflow_meas_MSS = 0

surf_runoff_meas_Out = 0
ctrl_runoff_meas_Out = 0
overflow_meas_Out = 0

#####################
# Measure structure #
#####################

# Measure can be defined as 1-layer (only interception layer), 2-layer (interception layer + bottom 
# storage layer), or 3-layer (interception layer + top storage layer + bottom storage layer).

######################
# Interception layer #
######################

# storage capacity of interception layer of measure [mm]
# infiltration capacity of interception layer of measure [mm/d]
# initial storage in interception layer of measure (at t=0) [mm]

storcap_int_meas = 0
infilcap_int_meas = 1000000
intstor_meas_t0 = 0

##################### 
# Top storage layer #
#####################

# area of top storage layer of measure [m2]
# storage capacity of top storage layer of measure [mm]
# infiltration capacity of top storage layer of measure [mm/d]
# initial storage in top storage layer of measure (at t=0) [mm]

top_meas_area = 1595
storcap_top_meas = 0
infilcap_top_meas = 0
stor_top_meas_t0 = 0

########################
# Bottom storage layer #
########################

# area of bottom storage layer of measure [m2]
btm_meas_area = 1595

# storage capacity of bottom storage layer of measure [mm]
storcap_btm_meas = 2000

# percolation (connection) from measure bottom storage layer to groundwater is possible (1) or not (0) [0 or 1]
connection_to_gw = 0

# limitation of percolation from measure to groundwater if groundwater level is below measure bottom level, limited (1) or unlimited (0) [0 or 1] 
limited_by_gwl = 0

# bottom level of measure [m-SL]
btm_level_meas = 0

# selection if transpiration from bottom storage layer of measure is possible (1) or not (0) [0 or 1]
btm_meas_transpiration = 1

# discharge type from bottom storage layer of measure [0: flux or 1: level]
btm_discharge_type = 1

# runoff capacity from bottom storage layer of measure [mm/d]
runoffcap_btm_meas = 0

# discharge level from bottom storage layer of measure [mm]
dischlvl_btm_meas = 1000

# hydraulic resistance for level induced discharge from bottom storage layer of measure [d]
c_btm_meas = 2

# initial storage in bottom storage layer (at t=0) [mm]
stor_btm_meas_t0 = 1000

# evaporation factor of measure [-]
evaporation_factor_meas = 1


#################
# Other Buttons #
#################


